<?PHP
$_OPTIMIZATION["title"] = "Аккаунт - Настройки";
$usid = $_SESSION["user_id"];
$db->Query("SELECT * FROM db_users_a WHERE id = '$usid'");
$user_data = $db->FetchArray();
$db->Query("SELECT count(*) FROM conf_u WHERE user_id = '$usid'");
$us_inf = $db->FetchRow();
$db->Query("SELECT count(*) FROM conf_parol_p WHERE user_id = '$usid'");
$us_inf_p = $db->FetchRow();



?>
		<div class="cl-right"><div class="s-bk-lf">
	<div class="acc-title">Настройки</div>
</div>
<div class="silver-bk">
<div class="clr"></div>	
<p></p>

<style>
#error {
border-color: #EE2327;
}

#good {
border-color: #23EE5B;
}

.alert {
color: #191A18;
margin: 5px 0;
padding: 8px 35px 8px 14px;
text-shadow: 0px 1px 0px rgba(255, 255, 255, 0.5);
background-color: #FCF8E3;
border: 2px solid #3Aa73D;
border-radius: 2px;
}

</style>



<BR />
<?PHP
	if(isset($_POST["old"])){
	
		$old = $func->IsPassword($_POST["old"]);
		$new = $func->IsPassword($_POST["new"]);
		
			if($old !== false AND strtolower($old) == strtolower($user_data["pass"])){
			
				if($new !== false){
				
					if( strtolower($new) == strtolower($_POST["re_new"])){
					
						$db->Query("UPDATE db_users_a SET pass = '$new' WHERE id = '$usid'");
						
						echo "<center><font color = 'green'><b>Новый пароль успешно установлен</b></font></center><BR />";
					
					}else echo "<center><font color = 'red'><b>Пароль и повтор пароля не совпадают</b></font></center><BR />";
				
				}else echo "<center><font color = 'red'><b>Новый пароль имеет неверный формат</b></font></center><BR />";
			
			}else echo "<center><font color = 'red'><b>Старый паполь заполнен неверно</b></font></center><BR />";
		
	}
?>


<form action="" method="post">
<table width="330" border="0" align="center">
  <tr>
    <td><b>Старый пароль:</b></td>
    <td align="center"><input type="password" name="old" /></td>
  </tr>
  <tr>
    <td><b>Новый пароль:</b></td>
    <td align="center"><input type="password" name="new" /></td>
  </tr>
  <tr>
    <td><b>Повтор пароля:</b></td>
    <td align="center"><input type="password" name="re_new" /></td>
  </tr>
  <tr>
    <td align="center" colspan="2"><BR /><input type="submit" value="Сменить пароль" /></td>
  </tr>
</table>
</form>
<BR />
<center>Поле Пароль должно иметь от 6 до 20 символов (только англ. символы)<br>
<div style="display: block;width: 100%;position: relative;margin: 20px auto 20px auto;height: 1px;background: rgb(244, 128, 0);border-radius: 1px;box-shadow: 0px 0px 2px 0px black;"></div>

<center><p style="font-weight: bold;">Если Вы хотите сменить номер кошелька , напишите нам с просьбой смены кошелька. <a style="font-family: time-new-roman;color: rgb(92, 125, 152);" href="/contacts" target="_blank">Наши контакты.</a></p></center>

<div style="display: block;width: 100%;position: relative;margin: 20px auto 20px auto;height: 1px;background: rgb(244, 128, 0);border-radius: 1px;box-shadow: 0px 0px 2px 0px black;"></div>

<div class="clr"></div>		
</div>




							<div class="clr"></div>	
							<br>
							<br>
							</div>
						<div class="clr"></div>
						
						<style>
						
.logo12 {
    background-image: url('/img/logo12.jpg');
    color: #5d3d1d;
    margin: 10px 0px 0px -10px;
    opacity: 0.9;
    height: 202px;
    background-size: 105%;
}
					</style>